Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.exchange
Class TimeZoneInfo

    java.lang.Object
      com.compoze.collab.exchange.ExchangeTimeZone
          com.compoze.collab.exchange.TimeZoneInfo

public class TimeZoneInfo
extends ExchangeTimeZone

This class is used to represent different time zones in Exchange. If a timezone has the option to use Daylight savings, then the flag is set on the message.

Field Summary
`static TimeZoneInfo` | `ZONE_ABU_DHABI`
`static TimeZoneInfo` | `ZONE_ADELAIDE`
`static TimeZoneInfo` | `ZONE_ALASKA`
`static TimeZoneInfo` | `ZONE_ALMATY`
`static TimeZoneInfo` | `ZONE_AMSTERDAM`
`static TimeZoneInfo` | `ZONE_ARIZONA`
`static TimeZoneInfo` | `ZONE_ASTANA`
`static TimeZoneInfo` | `ZONE_ATHENS`
`static TimeZoneInfo` | `ZONE_ATLANTIC_CANADA`
`static TimeZoneInfo` | `ZONE_AUCKLAND`
`static TimeZoneInfo` | `ZONE_AZORES`
`static TimeZoneInfo` | `ZONE_BAGHDAD`
`static TimeZoneInfo` | `ZONE_BAKU`
`static TimeZoneInfo` | `ZONE_BANGKOK`
`static TimeZoneInfo` | `ZONE_BEIJING`
`static TimeZoneInfo` | `ZONE_BELGRADE`
`static TimeZoneInfo` | `ZONE_BOGOTA`
`static TimeZoneInfo` | `ZONE_BRASILIA`
`static TimeZoneInfo` | `ZONE_BRISBANE`
`static TimeZoneInfo` | `ZONE_BRUSSELS`
`static TimeZoneInfo` | `ZONE_BUCHAREST`
`static TimeZoneInfo` | `ZONE_BUENOS_AIRES`
`static TimeZoneInfo` | `ZONE_CALCUTTA`
`static TimeZoneInfo` | `ZONE_CANBERRA`
`static TimeZoneInfo` | `ZONE_CAPE_VERDE_IS`
`static TimeZoneInfo` | `ZONE_CARACAS`
`static TimeZoneInfo` | `ZONE_CASABLANCA`
`static TimeZoneInfo` | `ZONE_CENTRAL_AMERICA`
`static TimeZoneInfo` | `ZONE_CENTRAL_US`
`static TimeZoneInfo` | `ZONE_DARWIN`
`static TimeZoneInfo` | `ZONE_EGYPT`
`static TimeZoneInfo` | `ZONE_EKATERINBURG`
`static TimeZoneInfo` | `ZONE_ENIWETOK`
`static TimeZoneInfo` | `ZONE_EST_US`
`static TimeZoneInfo` | `ZONE_FIJI`
`static TimeZoneInfo` | `ZONE_GMT`
`static TimeZoneInfo` | `ZONE_GREENLAND`
`static TimeZoneInfo` | `ZONE_GUAM`
`static TimeZoneInfo` | `ZONE_HARARE`
`static TimeZoneInfo` | `ZONE_HAWAII`
`static TimeZoneInfo` | `ZONE_HELSINKI`
`static TimeZoneInfo` | `ZONE_HOBART`
`static TimeZoneInfo` | `ZONE_INDIANA_EAST`
`static TimeZoneInfo` | `ZONE_IRKUTSK`
`static TimeZoneInfo` | `ZONE_ISLAMABAD`
`static TimeZoneInfo` | `ZONE_JERUSALEM`
`static TimeZoneInfo` | `ZONE_KABUL`
`static TimeZoneInfo` | `ZONE_KATHMANDU`
`static TimeZoneInfo` | `ZONE_KRASNOYARSK`
`static TimeZoneInfo` | `ZONE_KUALA_LUMPUR`
`static TimeZoneInfo` | `ZONE_KUWAIT`
`static TimeZoneInfo` | `ZONE_MAGADAN`
`static TimeZoneInfo` | `ZONE_MEXICO_CITY`
`static TimeZoneInfo` | `ZONE_MID_ATLANTIC`
`static TimeZoneInfo` | `ZONE_MIDWAY_ISLAND`
`static TimeZoneInfo` | `ZONE_MOSCOW`
`static TimeZoneInfo` | `ZONE_MOUNTAIN_US`
`static TimeZoneInfo` | `ZONE_NAIROBI`
`static TimeZoneInfo` | `ZONE_NEWFOUNDLAND`
`static TimeZoneInfo` | `ZONE_NUKUALOFA`
`static TimeZoneInfo` | `ZONE_OSAKA`
`static TimeZoneInfo` | `ZONE_PERTH`
`static TimeZoneInfo` | `ZONE_PST_US`
`static TimeZoneInfo` | `ZONE_RANGOON`
`static TimeZoneInfo` | `ZONE_SANTIAGO`
`static TimeZoneInfo` | `ZONE_SARAJEVO`
`static TimeZoneInfo` | `ZONE_SASKATCHEWAN`
`static TimeZoneInfo` | `ZONE_SEOUL`
`static TimeZoneInfo` | `ZONE_SRI_JAYAWARDENEPURA`
`static TimeZoneInfo` | `ZONE_TAIPEI`
`static TimeZoneInfo` | `ZONE_TEHRAN`
`static TimeZoneInfo` | `ZONE_VLADIVOSTOK`
`static TimeZoneInfo` | `ZONE_WEST_CENTRAL_AFRICA`
`static TimeZoneInfo` | `ZONE_YAKUTSK`

Fields inherited from class com.compoze.collab.exchange.ExchangeTimeZone
`m_zone`

Method Summary
`static TimeZoneInfo` | `get(java.lang.String sID)` Gets the timezone with the specified string identifier.
`byte[]` | `getBytes()` Gets the byte representation of the time zone.
`java.lang.String` | `getDaylightSavings()` Gets the name of the time zone during daylight savings time.
`java.lang.String` | `getDaylightSavings(java.util.Locale locale)` Gets the name of the time zone during daylight savings time.
`java.lang.String` | `getDisplay()` Gets the display name for the time zone.
`java.lang.String` | `getDisplay(java.util.Locale locale)` Gets the display name for the time zone.
`java.lang.String` | `getID()` Gets the id of the time zone.
`int` | `getIntID()` Gets the integer id of the time zone.
`java.lang.String` | `getStandard()` Gets the name of the time zone during standard time.
`java.lang.String` | `getStandard(java.util.Locale locale)` Gets the name of the time zone during standard time.
`java.util.TimeZone` | `getTimeZone()` Gets a java time zone representation of the exchange time zone.
`static TimeZoneInfo[]` | `getTimeZones()` Returns an array of Time Zone information.
`boolean` | `hasSameRules(java.util.TimeZone zone)` Checks if the Exchange timezone has the same daylight rules as a java timezone.
`static void` | `main(java.lang.String[] args)` Exerciser

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ZONE_KABUL

    public static final TimeZoneInfo ZONE_KABUL

### ZONE_ALASKA

    public static final TimeZoneInfo ZONE_ALASKA

### ZONE_KUWAIT

    public static final TimeZoneInfo ZONE_KUWAIT

### ZONE_ABU_DHABI

    public static final TimeZoneInfo ZONE_ABU_DHABI

### ZONE_BAGHDAD

    public static final TimeZoneInfo ZONE_BAGHDAD

### ZONE_ATLANTIC_CANADA

    public static final TimeZoneInfo ZONE_ATLANTIC_CANADA

### ZONE_DARWIN

    public static final TimeZoneInfo ZONE_DARWIN

### ZONE_CANBERRA

    public static final TimeZoneInfo ZONE_CANBERRA

### ZONE_AZORES

    public static final TimeZoneInfo ZONE_AZORES

### ZONE_SASKATCHEWAN

    public static final TimeZoneInfo ZONE_SASKATCHEWAN

### ZONE_CAPE_VERDE_IS

    public static final TimeZoneInfo ZONE_CAPE_VERDE_IS

### ZONE_BAKU

    public static final TimeZoneInfo ZONE_BAKU

### ZONE_ADELAIDE

    public static final TimeZoneInfo ZONE_ADELAIDE

### ZONE_CENTRAL_AMERICA

    public static final TimeZoneInfo ZONE_CENTRAL_AMERICA

### ZONE_ASTANA

    public static final TimeZoneInfo ZONE_ASTANA

### ZONE_BELGRADE

    public static final TimeZoneInfo ZONE_BELGRADE

### ZONE_SARAJEVO

    public static final TimeZoneInfo ZONE_SARAJEVO

### ZONE_MAGADAN

    public static final TimeZoneInfo ZONE_MAGADAN

### ZONE_CENTRAL_US

    public static final TimeZoneInfo ZONE_CENTRAL_US

### ZONE_BEIJING

    public static final TimeZoneInfo ZONE_BEIJING

### ZONE_ENIWETOK

    public static final TimeZoneInfo ZONE_ENIWETOK

### ZONE_NAIROBI

    public static final TimeZoneInfo ZONE_NAIROBI

### ZONE_BRISBANE

    public static final TimeZoneInfo ZONE_BRISBANE

### ZONE_BUCHAREST

    public static final TimeZoneInfo ZONE_BUCHAREST

### ZONE_BRASILIA

    public static final TimeZoneInfo ZONE_BRASILIA

### ZONE_EST_US

    public static final TimeZoneInfo ZONE_EST_US

### ZONE_EGYPT

    public static final TimeZoneInfo ZONE_EGYPT

### ZONE_EKATERINBURG

    public static final TimeZoneInfo ZONE_EKATERINBURG

### ZONE_FIJI

    public static final TimeZoneInfo ZONE_FIJI

### ZONE_HELSINKI

    public static final TimeZoneInfo ZONE_HELSINKI

### ZONE_GMT

    public static final TimeZoneInfo ZONE_GMT

### ZONE_GREENLAND

    public static final TimeZoneInfo ZONE_GREENLAND

### ZONE_CASABLANCA

    public static final TimeZoneInfo ZONE_CASABLANCA

### ZONE_ATHENS

    public static final TimeZoneInfo ZONE_ATHENS

### ZONE_HAWAII

    public static final TimeZoneInfo ZONE_HAWAII

### ZONE_CALCUTTA

    public static final TimeZoneInfo ZONE_CALCUTTA

### ZONE_TEHRAN

    public static final TimeZoneInfo ZONE_TEHRAN

### ZONE_JERUSALEM

    public static final TimeZoneInfo ZONE_JERUSALEM

### ZONE_SEOUL

    public static final TimeZoneInfo ZONE_SEOUL

### ZONE_MEXICO_CITY

    public static final TimeZoneInfo ZONE_MEXICO_CITY

### ZONE_MID_ATLANTIC

    public static final TimeZoneInfo ZONE_MID_ATLANTIC

### ZONE_MOUNTAIN_US

    public static final TimeZoneInfo ZONE_MOUNTAIN_US

### ZONE_RANGOON

    public static final TimeZoneInfo ZONE_RANGOON

### ZONE_ALMATY

    public static final TimeZoneInfo ZONE_ALMATY

### ZONE_KATHMANDU

    public static final TimeZoneInfo ZONE_KATHMANDU

### ZONE_AUCKLAND

    public static final TimeZoneInfo ZONE_AUCKLAND

### ZONE_NEWFOUNDLAND

    public static final TimeZoneInfo ZONE_NEWFOUNDLAND

### ZONE_IRKUTSK

    public static final TimeZoneInfo ZONE_IRKUTSK

### ZONE_KRASNOYARSK

    public static final TimeZoneInfo ZONE_KRASNOYARSK

### ZONE_SANTIAGO

    public static final TimeZoneInfo ZONE_SANTIAGO

### ZONE_PST_US

    public static final TimeZoneInfo ZONE_PST_US

### ZONE_BRUSSELS

    public static final TimeZoneInfo ZONE_BRUSSELS

### ZONE_MOSCOW

    public static final TimeZoneInfo ZONE_MOSCOW

### ZONE_BUENOS_AIRES

    public static final TimeZoneInfo ZONE_BUENOS_AIRES

### ZONE_BOGOTA

    public static final TimeZoneInfo ZONE_BOGOTA

### ZONE_CARACAS

    public static final TimeZoneInfo ZONE_CARACAS

### ZONE_MIDWAY_ISLAND

    public static final TimeZoneInfo ZONE_MIDWAY_ISLAND

### ZONE_BANGKOK

    public static final TimeZoneInfo ZONE_BANGKOK

### ZONE_KUALA_LUMPUR

    public static final TimeZoneInfo ZONE_KUALA_LUMPUR

### ZONE_HARARE

    public static final TimeZoneInfo ZONE_HARARE

### ZONE_SRI_JAYAWARDENEPURA

    public static final TimeZoneInfo ZONE_SRI_JAYAWARDENEPURA

### ZONE_TAIPEI

    public static final TimeZoneInfo ZONE_TAIPEI

### ZONE_HOBART

    public static final TimeZoneInfo ZONE_HOBART

### ZONE_OSAKA

    public static final TimeZoneInfo ZONE_OSAKA

### ZONE_NUKUALOFA

    public static final TimeZoneInfo ZONE_NUKUALOFA

### ZONE_INDIANA_EAST

    public static final TimeZoneInfo ZONE_INDIANA_EAST

### ZONE_ARIZONA

    public static final TimeZoneInfo ZONE_ARIZONA

### ZONE_VLADIVOSTOK

    public static final TimeZoneInfo ZONE_VLADIVOSTOK

### ZONE_PERTH

    public static final TimeZoneInfo ZONE_PERTH

### ZONE_WEST_CENTRAL_AFRICA

    public static final TimeZoneInfo ZONE_WEST_CENTRAL_AFRICA

### ZONE_AMSTERDAM

    public static final TimeZoneInfo ZONE_AMSTERDAM

### ZONE_ISLAMABAD

    public static final TimeZoneInfo ZONE_ISLAMABAD

### ZONE_GUAM

    public static final TimeZoneInfo ZONE_GUAM

### ZONE_YAKUTSK

    public static final TimeZoneInfo ZONE_YAKUTSK

Method Detail

### hasSameRules

    public boolean hasSameRules(java.util.TimeZone zone)

  Checks if the Exchange timezone has the same daylight rules as a java timezone.

  Parameters:
    `zone` - the java time zone

### getDisplay

    public java.lang.String getDisplay()

  Gets the display name for the time zone.

  Overrides:
    `getDisplay` in class `ExchangeTimeZone`
  Returns:
    the display string

### getDisplay

    public java.lang.String getDisplay(java.util.Locale locale)

  Gets the display name for the time zone.

  Parameters:
    `locale` - the locale for the resource bundle

### getStandard

    public java.lang.String getStandard()

  Gets the name of the time zone during standard time.

### getStandard

    public java.lang.String getStandard(java.util.Locale locale)

  Gets the name of the time zone during standard time.

  Parameters:
    `locale` - the locale for the resource bundle

### getDaylightSavings

    public java.lang.String getDaylightSavings()

  Gets the name of the time zone during daylight savings time.

### getDaylightSavings

    public java.lang.String getDaylightSavings(java.util.Locale locale)

  Gets the name of the time zone during daylight savings time.

  Parameters:
    `locale` - the locale for the resource bundle

### getBytes

    public byte[] getBytes()

  Gets the byte representation of the time zone.

  Overrides:
    `getBytes` in class `ExchangeTimeZone`
  Returns:
    a byte array

### getIntID

    public int getIntID()

  Gets the integer id of the time zone.

  Returns:
    an integer value for the time zone (not unique)

### getID

    public java.lang.String getID()

  Gets the id of the time zone.

  Returns:
    an integer value for the time zone (not unique)

### getTimeZone

    public java.util.TimeZone getTimeZone()

  Gets a java time zone representation of the exchange time zone. NOTE: do not rely on this time zone for persistable state, for example in `IGroupwareSession.setTimeZone(TimeZone)`.

  Overrides:
    `getTimeZone` in class `ExchangeTimeZone`
  Returns:
    a java time zone

### getTimeZones

    public static TimeZoneInfo[] getTimeZones()

  Returns an array of Time Zone information.

  Returns:
    an array of the defined TimeZoneInfo instances

### get

    public static TimeZoneInfo get(java.lang.String sID)

  Gets the timezone with the specified string identifier.

  Parameters:
    `sID` - the timezonen identifier
  Returns:
    the java time zone info, or `null` if not found.

### main

    public static void main(java.lang.String[] args)

  Exerciser

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.